package com.ruoyi.xq.enums.syspush;

import lombok.Getter;

@Getter
public enum SystemPushStatusEnum {
    // 状态:0=未执行,1=执行中,2=队列执行中,3=已完成
    NO_RUN(0,"未执行"),
    RUNNING(1,"执行中"),
    QUEUE_RUNNING(2,"队列执行中"),
    COMPLETE(3,"已完成"),
    CLOSE(4,"已取消"),
    FAIL(10,"执行失败"),
    ;
    private final Integer code;
    private final String text;

    SystemPushStatusEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
